This area of the website is for content that has not yet been migrated, as well as file/mod hosting until a solution is found for migrating to the re-design.
    With the exception of downloads, no content will be added or updated here.
Login
Username:

Password:

Remember me



Lost Password?

Register now!
Who's Online
3 user(s) are online (1 user(s) are browsing Files)

Members: 0
Guests: 3

more...

Download

Bloodlines SDK v1.74 (5.04.2019)

File Screenshot Thumbnail

Description

This is an unofficial software developer's kit (SDK) for Vampire - The Masquerade: Bloodlines.
At this moment the project is not fully completed, but already it can be used to do the following:

* Create, edit and compile original or your own maps.
* Create, view and compile game models (animations are still not supported).
* Decompile game maps and models for editing.
* View, manage, extract and create game archives (.vpk files).
* View and convert game textures between tth/ttz, vtf, tga and other formats.
* Create and edit game dialogues, subtitles and lip-sync data (.lip files).
* Partially create or edit cinematics and gesture scripts (.vcd files).
* Manage entity data in existing BSP files (paste, delete and change properties).
* Create your own Source/HL2-like mods with separate folders and unique content.
* Validate and clean misc game resources.

In the latest versions also fixed a lot of model-related and lighting issues, added
mods support, finally introduced editing lip-sync and gestures data, improved maps
lighting and refused painful model decompression procedure.

Author

Psycho-A, Behar, Fire64

Uploaded by

Psycho-A

Views

8622

Downloads

1562



Author Thread
Psycho-A
Published: 2015/4/21 1:49  Updated: 2015/4/21 1:54
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 17.04.2015
- Hammer [cr]: Fixed generating bounding boxes for models (now models selection is normal).
- Hammer [cr]: Fixed Z-axis rotation for non-static models, now their orientations are correct.
- Hammer [cr]: Fixed multi-boned models pose calculation (now NPCs rendered correctly).
>> Important: you need to (re)extract VPK content (if exist), and after, when you run Model Decompressor, check "Type 2 and type 1 to type 0 ONLY" option!
- Hammer [cr]: Added "Go to Coordinates" option into "Map" menu to quick go to certain position.
- Hammer [cr]: Integrated launching advanced compile mode, no more "@" or "execute" in SDK binaries dir.
- Hammer: Updated splash screen logo (added "Bloodlines version" string, edited copyrights) and removed manifest.
- VBsp Compiler [cr]: Re-fixed compiling "tools_shadow" materials (previously they were create empty spaces).
- MDL Decompressor: Made startup warning to tell user to enable appropriate checkbox (see above).
- Made a little file reorganization and optimization in SDK file system.
>> Please, remove SDKBinaries dir before installing this version!
- Source code: Registered Fire64 (prev. developer) works, make backups of untouched files versions.
- Source code: Updated code repository.

Author Thread
Psycho-A
Published: 2015/4/21 1:54  Updated: 2015/4/23 17:08
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 18-22.04.2015
- Hammer [cr]: Added search paths info (GameDir/ModDir) into the starting message window.
- Hammer [cr]: Fixed bounding boxes axis rotation issue for models.
- Hammer: Updated default settings, added other unused material paths for exclusion.
- VBsp Compiler [cr]: Fixed compiling "toolsnpcopaque" materials (previously they were return "bad surface" error).
- Prepatation Wizard: Fixed not-waiting until Model Decompressor finished it's work.
- VPK Creator: Improved separating & packing localized resources rules.

Author Thread
Psycho-A
Published: 2015/4/23 17:08  Updated: 2015/4/23 19:32
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 23.04.2015
- Hammer [cr]: Improved some interface elements like object properties, visgroups etc.
- Hammer [cr]: Added support for models with number of bones up to 1024 (all game's).
- VBsp Compiler [cr]: Rewrited algorythm of managing cubemaps - now you don't need to attach each brush face manually.
- VBsp Compiler [cr]: Turned cubemap textures search to read by full materialsystem.
- MaterialSystem [cr]: Improved reading uncompressed textures, fully disabled VTF searching (faster).
- Updated source code repository.

Author Thread
Psycho-A
Published: 2015/4/24 19:52  Updated: 2015/4/26 0:32
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 24-26.04.2015
- Texture Converter: Fixed critical error not calling parser on get vtf chunk stage (broke tths).
- VBsp Compiler [cr]: Fixed error "Mod_LoadTexInfo: texdata < 0" caused by incorrect FindTexInfo() calls.
- Updated Source code repository.

Author Thread
Psycho-A
Published: 2015/5/1 0:37  Updated: 2015/5/9 22:18
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 03.05.2015 (v1.0/beta)
- Common [cr]: Finally obtained valid structures for models with vertex types 1 & 2 [thanks to Behar].
- Common [cr]: Added generic decoder of type 1 & 2 models with access for all sdk tools [thanks Behar].
- Common [cr]: Updated Hammer, ModelViewer & Map Compilers to support type 1 & 2 models [thanks Behar].
>> NOTE: You don't need more to do models decompression and import mod resources to SdkContent dir!
- Common [cr]: Improved default project paths assigning for tools if some SDK settings are incorrect.
- Model Viewer [cr]: Fixed rendering large complex models (NPC etc.), improved background.
- Model Viewer [cr]: Fixed loading model's .VTX and .PHY data if not placed near .MDL but found at one of FileSystem places.
- Removed "MDL Decompressor" tool and "Refresh SDK Content" option since they are useless now.
- Added simple Sound Browser tool for quick access to any game sounds in Project's filesystem tree.
- Rewrited Content Preparation Wizard: disabled copying mod content, improved extraction rules.
>> NOTE: Extracted VPK content now go to dir "SDKContent\VpkContent", not "SDKContent\Vampire"!
- Improved Texture Converter to generate TTH/TTZ's compatible with PackFile Explorer.
- Reworked apps file system: changed search paths priorities and improved searching algorythms.
- Made minor reorganization of SDKBinaries dir.
>> DON'T install this SDK version OVER the older ones!
- Source Code: Merged with branch "src_mdlexp", made little cleaning, updated Repository.
- Corrected Readme file, actualized bugs and goals list an other.
- Other minor fixes, changes and improvements.

Author Thread
Psycho-A
Published: 2015/5/9 22:18  Updated: 2015/5/27 15:44
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 20.05.2015 (v1.1)
- VRad Compiler [cr]: Finally fixed model full-brighting issue at the dark/shadowed areas.
>> Note: to override defaults, use "-avglight <float>" cmd-line to VRad.exe (0.0625 is default/darker, 1.0 is full/lighter).
- Hammer [cr]: Removed limitation of using 127 craracters paths, now SDK may use up to 512 char paths!

- Hammer [cr]: Fixed loading model's .VTX data if not placed near .MDL but found at one of FileSystem places.
- Hammer [cr]: Added "Show Selected Brush Number" menu option for brushes debugging purposes.
- Hammer/FGD: Updated some entity's entries which previously were unknown (also thanks to Malkav).
- Hammer/FGD: Improved "light_environment", "func_particle/env_particle" and "point_camera" entities control.
- Hammer/Compiling: Added ability to turn off (standby) the machine for large map long compilations.
- Hammer/Compiling: Another improvement for Creating Cubemaps stage - now it depends on compile settigns.
- VBsp Compiler [cr]: Fixed creating default materials for cubemap (strips in-game console error).
- VBsp Compiler [cr]: Fixed recognizing tools "novis" and "visonly" mateials, now they use Hint behaviors.
- VVis Compiler [cr]: Fixed (partially) system/compiler's freezing issues on long compilations.
- VRad Compiler [cr]: "Extra" operations are enabled by default, no need to add -extra key. Use -noextra to disable.
- Actualized readme file and other minor fixes/improvements.
- Updated Source Code repository.

Author Thread
Psycho-A
Published: 2015/5/27 15:45  Updated: 2015/5/28 1:39
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 28.05.2015 (v1.12)
- Hammer/FGD: Updated and corrected some more object's entries.
- Map Compilers [cr]: Restored detail_prop lump, now detail surfaces like grass/trash will work.
- Map Compilers [cr]: Disabled writting some unused VBSP lumps.
- VBsp Compiler [cr]: Fixed issue patching already patched materials when working with cubemaps.
- VRad Compiler [cr]: Fixed self-illum textures respecting if they have a cubemap included.
- VRad Compiler [cr]: Disabled loading static props physics collision model (better for shadow calculations).
>> Note: To turn respecting collision models back, specify "-usephymodels" cmd-line to VRad.exe.
- VRad Compiler [cr]: Improved help/usage info, now useful parameters sorted and have descriptions.
- VRad Compiler [cr]: Unlocked advanced options for more flexible control.
- VRad Compiler [cr]: Unlocked ability to scale light brightness on the map.
>> Note: Use "-scale <float>" cmd-line to VRad.exe to control. < 1.0 is darker, > 1.0 is brighter.
- VRad Compiler [cr]: Restored VtMB's extra light features that allows to use "light" entity as light_spot.
>> Note: To quickly disable spotlight features, add "-nolightextras" cmd-line to VRad.exe on compiling.

- VRad Compiler [cr]: Default average light multiplier changed to "0.1" as it's better for maps with rarefied lighting.
- Map Compilers/Other: Added new textures to "lights.rad" good to be compiled on map as self-illuminated.
- Other minor fixes/updates, improved the Readme file and added SDK usage notes about some work aspects.
- Updated Source Code repository.

Author Thread
Psycho-A
Published: 2015/6/1 14:45  Updated: 2015/6/9 5:25
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 1-9.06.2015 (v1.2)
- Map Compilers [cr]: Fully rewritten VVIS and VRAD to fix elder bugs and get better lighting, optimizations and faster compiling time.
- Map Compilers [cr]: Restored 'dprp' gamelump structure, now detailized surfaces like grass/trash will work. Also, disabled writting some unused VBSP lumps.
- VRad Compiler [cr]: Added most of features from later Source Engines like Fine supersampling (add "-final" cmd-line), 0/50-percent falloff distances for lights, etc.
- Map Compilers [cr]: Finaly written valid code to build closest-to-original Troika's maps lighting.
- Map Compilers: Added some new self-illuminated textures to lights.vrad.
- FGD/VRad Compiler: Since original Troika's lighing gives hard lighting falloffs on surfaces if Distance specified, added parameter "Cut-Off Smoothing Factor" to adjust transitions smoothing from sharp to very soft.
- FGD/VRad Compiler: Removed former "Disable Extras / Disable Cutoff" from compiling options since don't need anymore, and added "Smoothing Scale" to override overall map's lighting transitions (see above).
>> Note: Use "Map Properties" dialog in Hammer or "-lightsmooth <normal>" vrad.exe command line to control. Default it's turned off and not mainly needed to be touched.
- FGD/Hammer/Compilers: Added ability to use individual VVIS & VRAD compiling settings for each map, which may help to solve various per-map lighting/compiling issues or make some tweaks.
>> Notes: To use this feature, goto Hammer's "Map -> Map Properties..." menu and look into bottom several parameters. Description of each one is attached.
-- "Lighting: Smoothing Scale / Brightness Scale" are equivalents of -lightsmooth and -lightscale cmdline-params of VRad.exe (see above);
-- "Compiling: Force Fast" is equivalent of "-fast" parameter of VVIS.exe (helps some heavy maps which refuses to compile normally).

- Hammer/FGD: Updated and corrected some more object's entries and improved light entities controls and descriptions.
- Hammer/FGD: Removed some unused properties from prop_* model classes.
- Added global changes and improved usage notes in the SDK Readme file (please, re-read it!), and other minor fixes.
- Updated Source Code repository.

Author Thread
Psycho-A
Published: 2015/6/20 18:04  Updated: 2015/6/27 13:41
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 21.06.2015 (v1.3-beta)
- Hammer [cr]: Fixed most of sprite using/rendering issues:
-- Fixed translucency through surfaces when 'Glow' render mode was selected;
-- Fixed not appending ".vmt" extension needed for correct parsing by engine;
-- Fixed texture browsing dialog: now it goes to "sprites/" by default.

- Hammer [cr]: Fixed issue not-starting compiling if we select any model/sound from entity setting before.
- Hammer [cr]: Increased accuracy for scaling surface textures using Face Edit Sheet, from 2 decimals to 3.
- Hammer [cr]: Added VtMB-specific content types (dlg,particles,signs, etc) into search paths on entity editing for easier access.
- Hammer [cr]: Made combined field types in entity editing dialog: now we may browse files and also choose default suggestions.
- Hammer/FGD: Fixed issue incorrect in-game rendering of func_areaportalwindow/func_brush pair after compiling.
- Hammer/FGD: Completely rewritten all entity classes and made a lot of optimizations and improvemens to simplify works:
-- Removed bunches of unused and hindering parameters;
-- Made intelligent sorting all properties by categories;
-- Filled many 'untested' and 'unknown' parameters with their actual meanings;
-- Optimized content choosing: now you may use default suggestions (mostly used in game) and also browse files for All VtMB-specific content types;
-- Added lines between each Parent and Target entities for quick visual finding their connections.

- Updated Source Code repository.

Author Thread
Psycho-A
Published: 2015/7/8 1:23  Updated: 2015/7/10 0:42
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 10.07.2015 (v1.31-beta)
- Hammer/FGD: Fixed default state (color cubes) rendering for some prop_* models that had 'parent' entity specified.
- VPK Creator: Added ability to make merged VPK with all specified folders.
- VPK Creator: Improved texts and made more clear readme file about main aspects of usage and vpk features.
- Texture Converter: Source VTF files now auto-deleted when converted to TTZ since they no longer needed (you may always convert them back).

Author Thread
Psycho-A
Published: 2015/9/16 19:33  Updated: 2015/9/18 19:03
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 18.09.2015 (v1.32)
- Hammer/FGD: Fixed bug that put "../E.mdl" into the 'Dialog File' of "npc_VVampire" NPC class.
- Hammer/FGD: Removed force assigning "Young_Thug" soundgroup for "npc_VHumanCombatant" NPC class.
- VPK Extractor: Fixed VExtract crashings when we're using custom VPKs or missing some standard ones.
- Texture Converter: Fixed critical issue that dissallowed to use TTZ converter an any cases.
- Texture Converter: VTF version now automatically sets to the game's default when converting to TTZ.
- Model Viewer: Fixed Windows 10 OS compatiblity issue.

Author Thread
Psycho-A
Published: 2015/10/4 18:09  Updated: 2015/10/13 20:55
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 13.10.2015 (v.1.33-wip)
- Hammer/Shaders: Fixed overbrighting of bump-mapped materials in 3D-view.
- Hammer/FGD: Turned "Cut-off Smoothing factor" to null value to prevent lighting changes on originally decompiled maps.
- Corrected message about needing re-extracting VPKs after changing SDK project folder.

Author Thread
Psycho-A
Published: 2016/1/16 19:09  Updated: 2016/1/20 18:02
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 20.01.2016 (v.1.4)
- Hammer [cr]: Made env_cubemap reflections displayed on brush surfaces in 3D-view.
- Hammer [cr]: Re-fixed overbrighting of bump-mapped materials in 3D-view (it's native mode now).
- Texture Converter: Added "Decompile to TGA" item in Windows context menu for TTh/TTz and VTF files.
- Texture Converter: Added "Compile to TTz/Vtf" Windows context menu items for popular image formats.
- Added VTF texture format, Height-to-Normal and Aplha-mask plugins for Paint.NET image editor.
- Added VTF & DDS format, Tiler tool, NVidia's Normal-Map-filter & scripts for Adobe Photoshop.
- Added auto-installing the above plugins on first SDK launch or reset, when appropriate apps found.
- Note: some system configurations will require administrator rights for success plugins installation!
- Plugins installers separated from general SDK install script to avoid crashes and speedup configure.
- Some file system reorganizations - please, make a full SDK reset after installing new version!
- Other minor changes and also readme file actualization.
- Source code: Updated code repository.

Author Thread
Psycho-A
Published: 2016/3/11 11:05  Updated: 2016/3/15 10:36
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 15.03.2016 (v.1.43)
- Hammer,HLMV [cr]: Fixed random crashes when loading maps or models.
- Model Viewer [cr]: Fixed centering and scaling default view for models.
- Hammer/FGD: Better skin selection dialog.
- Hammer/FGD: Added render fields for prop_doorknob entity to control model color.
- Added new materials to lights.rad to self-illumintate on compiling.
- Added info about how to prevent crashing loading maps in Hammer to SDK readme.
- Source code: Updated code repository.

Author Thread
Psycho-A
Published: 2016/4/3 2:04  Updated: 2016/4/21 16:57
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 5.04.2016 (v.1.44+)
- Hammer [cr]: Corrected entity picker button position in Outputs section.
- Hammer/FGD: Removed some bad entities that broken or disabled in the game engine.
- Hammer/FGD: Fixed swap errors in parameters layout for npc_maker_* entities.
- Hammer/Compilers [cr]: Added "Collision Shadows" option to map's properties to be able to override shadow models for prop_statics.
- Model Viewer [cr]: Another improvement for default view position of models.
- Source code: Updated code repository.

Author Thread
Psycho-A
Published: 2016/4/21 16:56  Updated: 2016/4/26 20:17
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 26.04.2016 (v.1.45+)
- Hammer/FGD: Fixed "Moving direction" and "Parent entity" params not-working for trigger_hurt/_push.
- Hammer/FGD: Added full templates list to "NPC Stat Template" to quickly find required one.
- Hammer/FGD: Added "Origin" property to parentable brush entities (like triggers) to determine parenting point.
- Hammer/Compilers: Added "Final" and "Ultra-Fast" compiling modes to Run Map wizard, and renamed others.
- Hammer/Compilers: Added displaying initial time of compiling job into console progress window.
- Compilers/Assets: Fixed some tool textures (tools/rain etc.) to be transparent and shorten compiling/BSP size.
- Texture Converter: Added auto-generating .vmt files for tth's if they are in materials/ or materialsrc/ dirs.
- Texture Converter: Added info about usage and Windows shell extensions to SDK readme's notes.
- A couple other minor fixes; this version also included into the Unofficial Patch by Wesp5.

Author Thread
Psycho-A
Published: 2016/5/25 3:46  Updated: 2016/5/25 3:46
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 25.05.2016 (v.1.46-wip)
- VRad compiler [cr]: Changed computing minumum light for models, now models less stands out from world.
- VRad compiler [cr]: Param "-avglight" now uses 1..255 values where 1 is darkest level, 255 is lightest.
- Source code: Updated code repository.

Author Thread
Psycho-A
Published: 2016/12/13 1:55  Updated: 2016/12/13 1:57
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 26.07.2016 (v.1.50)
- Model Viewer [cr]: Fixed crashings on launching under Windows XP and Windows 8/10 machines.
- VRad compiler [cr]: Changed computing minumum light for models, now models less stands out from world.
- VRad compiler [cr]: Param "-avglight" now uses 1..255 values where 1 is darkest level, 255 is lightest.
- Hammer/FGD: Added info about needing set "Origin" to "0 0 0" in func_brush'es in pair with func_areportalwindow.
- Corrected Hammer's splash-screen logo and fixed some typos in SDK interface and messages.
- Source code: Updated code repository.

Author Thread
Psycho-A
Published: 2016/12/13 1:56  Updated: 2016/12/14 13:18
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 14.12.2016 (v.1.51)
- Texture Converter: Added ability to change output .vtf format (use TexConvert.bat's 'OutputFormat' param).
- Texture Converter: Added auto-detecting output .vtf/.ttz format and .vmt params by input file's subfolders.
- Texture Converter: Added Template manifests for world, cables, decals, effects, interface, models and skyboxes.
- Added new info on Texturing (see above) and some more usage notes from UP's readme to wider users' knowledges.
- Source code: Made little reorganization of sourcecode file system.
- Info: This version will be included into Wesp's Unofficial Patch v9.7.

Author Thread
Psycho-A
Published: 2016/12/30 12:59  Updated: 2017/1/10 19:47
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 30.12.2016 (v.1.52)
- VRad compiler [cr]: Finally corrected computing average light for dark areas and removed -avglight crutch.
- Hammer/Compiling: Added auto-minimizing editor window on begin compiling (lower CPU usage, faster compiling).
- Source code: Reorganized some files and updated code repository.
- Corrected SDK usage notes in the readme file.

Author Thread
Psycho-A
Published: 2017/1/10 19:47  Updated: 2017/1/10 19:47
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 10.01.2017 (v.1.53)
- Hammer/Compiling: Added auto-closing old compile process windows on starting new compiling.
- Hammer/Compiling: Added ability to set custom priority for compilers (set Priority= command inside "SDKBinaries/hammer.runmap.bat").
- Added new "Create a New Mod" function into the main menu to be able to create new mods from scratch and connect them to SDK.
- Added new usage instructions into the SDK readme file.
- Source code: Added "portable" Visual Studio 6 to ease code compiling and strip legacy installation and configuring.
- Source code: Added in-place support for portable VS6 and updated code repository.

Author Thread
Psycho-A
Published: 2017/1/17 1:49  Updated: 2017/1/17 7:44
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 17.01.2017 (v.1.60)
- Added tool to edit LipSync data and Captions for voice files (based on HL2 FacePoser + wrapper), features:
-- Create new .lip files for existing .wav or .mp3 file with voice.
-- Automatically generate phonemes and subtitles depending on phrase text;
-- Edit words, phonemes and subtitiles for already existing .lip files.

- Small SDK file system reorgranization (do not install over older versions!).
- Info: This version will be included into Wesp's Unofficial Patch v9.7 final.

Author Thread
Psycho-A
Published: 2017/1/18 5:44  Updated: 2017/1/18 7:33
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 18.01.2017 (v.1.6+)
- LipSync Editor renamed to "Lip/VCD Editor" and extended to create and edit VCD files as well.
-- Now users can edit existing or create new .vcd files to manage NPC gestures and dialog lines.
-- Fixed some bugs found by users in the tool work and reorganized importing editing files.

- Made normal naming to clan-specific replies in "Dialogue Editor" being "Unknown" before.
- Small SDK file system reorgranization (do not install over older versions!).
- Improved SDK readme and added usage details for new tools.

Author Thread
Psycho-A
Published: 2017/1/21 0:16  Updated: 2017/1/22 16:36
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 21.01.2017 (v.1.61)
- LipSync Editor: Shortened importing and closing time by making script optimizations.
- LipSync Editor: Importing VCDs now imports all sound files that referred inside of them.
- LipSync Editor: Fixed force changing LIP files not being edited in Phoneme Editor.
- New GUI interface for "Create a New Mod" wizard; also added description for mod's main folder.
- Hammer/FGD: Added a full list of NPC soundgroups to all NPC entities for easy choosing.
- Fixed minimizing and backgrounding the SDK main menu window in some cases.
- Corrected SDK messages when selecting mods with- and without .vpk archives inside.
- Some minor interface/shell fixes, also little improved usage notes in SDK readme.

Author Thread
Psycho-A
Published: 2017/1/23 21:38  Updated: 2017/1/23 21:39
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 24.01.2017 (v.1.62)
- LipSync Editor: Shortened file importing time by making script optimizations.
- LipSync Editor: Fixed issues on importing .wav and .mp3 files from VCD links.
- LipSync Editor: Added support for opening .lip and .vcd files from Windows context menu.
- Added simple tool "Captions Editor" to quick edit or localize subtitles inside .lip files.
-- Tool works from the SDK menu (File Open dialog) and Windows context menu item.

Author Thread
Psycho-A
Published: 2017/1/28 20:00  Updated: 2017/1/30 9:48
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 30.01.2017 (v.1.63)
- LipSync Editor: Fixed saving .lip files with more than 200 chars subtitles.
- Captions Editor: Fixed and improved text reading algorythms and speed-up overall work.
- Captions Editor: Fixed interface, aligning height of text box and file saving issues.
- "Edit Subtitles" is now default double-click action for .lip files (opens Captions Editor).
- Fixed first seconds flickering the SDK menu window on some systems.

Author Thread
Psycho-A
Published: 2017/2/1 18:55  Updated: 2017/2/11 23:53
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 06.02.2017 (v.1.64)
- Map Compilers [cr]: Increased MAX_MAP_BRUSHES to 32768 to be able to compile huge maps.
- Map Compilers [cr]: Increased MAX_MAP_BRUSHSIDES to 256000 to compile huge maps.
- Map Compilers [cr]: Increased MAX_MAP_TEXINFO to 32768 to be able to compile huge maps.
- LipSync Editor: Fixed crashing file parser during saving .lip files with long phoneme data.
- Updated source code repository.

Author Thread
Psycho-A
Published: 2017/2/11 23:54  Updated: 2017/2/11 23:54
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 12.02.2017 (v.1.65)
- LipSync Editor: Fixed working on some machines and added console window with process log.
- LipSync Editor: Fixed Editor window not-showing and improved "Enter Speaker name" dialog.
- LipSync Editor: Fixed opening .lip files if they're not inside of sound/ folder.
- LipSync Editor: Prevented opening Phoneme Editor if none of .lip/.wav pair imported.
- LipSync Editor: Fixed detecting phrase's end-time in case of buggy word's phonemes.
- Hammer/FGD: Fixed description and default value on "Floats Frequency" of NPC entities.
- A few other various minor fixes.

Author Thread
Psycho-A
Published: 2017/3/3 19:26  Updated: 2017/3/24 22:34
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 25.03.2017 (v.1.66+)
- Generic: Fixed working some tools and scripts on Windows 10 and non-admin user accounts.
- Hammer/Shell: Fixed miss of current project/game configuraion in some cases.
- Hammer/FGD: Fixed description for NPCs "Allow_Alert_Lookaround" parameter.
- Hammer/FGD: Fixed description and data type for "TakeDamage" output command.
- Captions Editor: Added ability to fully disable subtitles and speaker inside .lip files.
- Captions Editor: Fixed appending new captions and speaker-name if source data is empty.
- A few other various minor fixes.

Author Thread
Psycho-A
Published: 2017/6/19 12:56  Updated: 2017/7/16 4:20
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 16.07.2017 (v.1.67)
- Swapped cmdow.exe for LipSync Editor with scripted workaround, so Google shoudn't panic more.
- Texture Utils: Changed system context menus assignment behavior to fix issues on some systems.
- Hammer: Func_areaportalwindow's brushes doesn't appends origins now, so no more need to fix it to 0 0 0.
- Hammer: Fixed typo in FGD file not allowed to normally use item_g_bloodpack item class.
- Hammer: Fixed non-desirable Damage Model values appearing in prop_destructable.
- Added 4GB Exe Patcher to use on 64-bit OS for expanding game's or SDK tools RAM usage to 4 GB.
- Added important ladders-issue note to this readme's SDK usage notes.
- The full SDK source code has been uploaded onto the Planet-Vampire servers for wider user access.

Author Thread
Psycho-A
Published: 2017/8/5 1:26  Updated: 2017/10/21 3:55
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 21.10.2017 (v.1.68+)
- Hammer/FGD: Fixed incorrect input types on some entities, and added missing ones.
- Hammer/FGD: Made and fixed env_fog_controller to be usable since it may control fog values via inputs.
- Hammer/FGD: Made func_dustmotes to be accessible (used on some maps, needs to be checked).
- Hammer: Improved compiling modes descriptions in Run Map dialog.
- Hammer: Fixed antiviruses false positive on hammer.runmap.exe/.bat element.
- Improved some details on the SDK test_haven.vmf example tutorial map.

Author Thread
Psycho-A
Published: 2018/1/18 2:54  Updated: 2018/8/3 22:41
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 3.08.2018 (v.1.69)
- Hammer/FGD: Removed Origin property from func_breakable_surf to prevent crack-material issue.
- Create Mod Wizard: Added ability to import most useful assets from the Unofficial Patch (if found) into the mod dir.
- Info: This version will be included into Wesp's Unofficial Patch v10.0 final hotfixes.

Author Thread
Psycho-A
Published: 2018/9/7 3:18  Updated: 2018/9/9 12:14
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 09.09.2018 (v.1.70)
- Added modified StudioCompiler, an user-friendly tool for easy compiling models, features:
* Compile any model directly from SMD with full options set (no writing .QC needed!);
* Compile models with already existing QC data (legacy Model Compiler feature);
* Import & compile all model textures in popular formats with proper materials editor;
* Quickly view freshly compiled model as that'll look in game using Model Viewer;
* Decompile any Source Engine game models to SMD+QC for quickly importing into your mod.
- Added "3ds Max plugins" to import and export SMD models in Autodesk 3ds Max from v5 to 2019.
- Added "SketchUp plugins" to import and export SMD models and maps in Google SketchUp tool.
- kHED Editor: Added missing offline User Manual as the project's official site is dead.
- The former "Model Compiler" tool renamed to "QC Files Compiler" to reflect its real purpose.
- VTex Converter [cr]: Make it work on textures from *any* .../materials/ or .../materialsrc/ locations.
- VTex Converter [cr]: Fixed creating destination dir and added overriding output dir with "-outdir <dir>" command.
- Texture Converter: Fixed decals format to be compatible when using decal as a regular brush texture.
- Added procedure to clear empty dumps of materialsrc/ or materials/maps/ inside mod on every SDK launching.
- Updated usage notes in Readme and updated Source Code repository (for contributors).
- Info: This version is ready to be included into Wesp's Unofficial Patch v10.1 & hotfixes.

Author Thread
Psycho-A
Published: 2018/9/18 20:17  Updated: 2018/9/18 20:17
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 18.09.2018 (v.1.71)
- Hammer [cr]: Fixed X & Y axis rotation of non-static models (they were also displayed incorrectly as result).
- Hammer/Assets: Fixed info_player_start origin (no more needs to lift) and angles of other editor-specific models.
- Hammer/FGD: In prop_hacking entity removed wrong model from choice list and fixed typo in num of columns.
- StudioMDL Compiler: Added auto-deleting old model files to prevent false positive on compiling.
- Studio Compiler: Improved fields descriptions of Model Decompiler to better reflect its purpose.
- Studio Compiler: Fixed default SDK paths assigning on auto-configuring.
- PackFile Explorer: Fixed default window layout and file list view mode.
- Added procedure to clear empty dumps of materialsrc/ or materials/maps/ inside mod on every SDK launching.
- Added new tool "grepWin" text processor to quickly perform various tasks on text scripts or maps data.
- Added new tool "Character Sheet Animation Injector" by DDLullu to add new animations to game's Character Sheet.
- Added new [Modeling] sections with important info in SDK Readme's Usage notes - please, read carefully!!
- Updated Source Code repository (for contributors).

Author Thread
Psycho-A
Published: 2019/2/28 9:43  Updated: 2019/2/28 9:43
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 26.02.2019 (v.1.72-1.73)
- StudioMDL: Added important usage-limitations notes before launching Model Compiler and compiling process.
- Studio Compiler: Optimized default settings for quick compiling from SMD files and fixed some messages.
- Hammer/FGD: Fixed bad name in ambient_generic parameter and default area Safety type (from Madquerade to Combat).
- Hammer/FGD: Fixed default sound groups for npc_VVampire and npc_VHuman* and added missing monster/ soundgroups.
- Hammer [cr]: Improved "Justify" controls view in Face Edit Sheet tool, disabled Smoothing Groups as not supported.
- Create Mod Wizard: Updated some default mod assets and added templates for each vdata/ script type.
- Create Mod Wizard: Added auto-inserting mod's name into game Settings menu (gameui_english.txt file).
- Improved BSP patcher scripts and added its item to the SDK main menu (run .bats and readmes to learn how to use).
- Added auto-removing kHED editor settings on reset SDK to fix calling the user manual issues.
- Added new context menu option for MDL files to see which materials model use and which ones are missing in mod.
- Turned off developer mode for launch game or load maps due to latest UP compatibility issues [Temporary!].
- Fixed false anti-virus software detections on two tools' InfoBox files.
- Texture Converter: Changed conversion format from VTF to TGA if TTH/TTZ files are selected in GUI mode.
- Model Viewer: Default cubemap texture replaced with more reflective one for closer-to-game gloss appearance.
- Updated Source Code repository (for contributors).

Author Thread
Psycho-A
Published: 2019/3/16 7:26  Updated: 2019/3/22 12:58
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 22.03.2019 (v.1.73+)
- Added new context menu item for MDL files to see which materials model use and which ones are missing in mod.
- Model Viewer: Default cubemap texture replaced with more reflective one for closer-to-game gloss appearance.
- A minor reorganisation of MODELING section's order (by the priority of users' needs).
- A minor SDK tools fixes and the SFK.exe helper update.

Author Thread
Psycho-A
Published: 2019/4/2 16:45  Updated: 2019/4/4 15:28
Not too shy to talk
Joined: 04/10/2015
From:
Comments: 37
 Changelog from 4.04.2019 (v.1.74)
- Model Viewer [cr]: Disabled registry settings to fix roation bug on MDL re-opening and give small speedup.
- MDL Texture Info: Added GUI opening model mode from the SDK main menu.
- MDL Texture Info: Fixed errors, improved wrong formats' reaction and moved into "Texture Utils/" directory.
- Model Viewer: Default cubemap texture replaced with more reflective one for better texture glossing assessment.
- Added SDK menu link and infos to Photoshop/Paint.NET plugins to help if they weren't auto-installed correctly.
- A minor file structure reogranisations and sdk launcher fix.
- Updated Source Code repository (for contributors).